[linux-dvb] Poll error

Morgan Tørvolt morgan.torvolt at gmail.com
Sat Jan 13 06:54:01 CET 2007


Hi folks.

As I live in middle east (Dubai), my choices of quality TV channel
providers are limited. The ones that are available are Showtime on
nilesat (7W) and Orbit (25.8E), so i need to be able to descramble one
of those. I have not bought a subscription to eighter, but can borrow
a Showtime card for testing. I have an Irdeto cam for showtime, and a
Aston AstonCrypt for Orbit. From the
http://www.linuxtv.org/wiki/index.php/Supported_CAM_modules it seems
that the Aston CAM should at least work, but I find no information on
the Irdeto cam. Have tried with different driver versions and utils to
make this work, and had little success. I have more or less given up
on the Irdeto option, since it is not listed.

I have lots of different hardware. TT-2300 TT-1500 and a Twinhan
VP-1030 are the cards I have with CI interface. I can do testing with
any of those, and all of those if you wish. I seem to have little luck
with any of them.

I would very much like to help out to get this thing working properly,
and would love to try, but I need some pointers.

Here is what happens with the zap application btw. It allways fails
like this, with and without any cam:

#zap -channels Hotbird-kanaler CCTV9
Using frontend "ST STV0299 DVB-S", type DVB-S
status SCVYL | signal a9f6 | snr a800 | ber 00000a00 | unc 00000000 |
FE_HAS_LOCK

<CTRL+C>
Poll error
#

Before the break, it hangs forever. Using szap the FTA channel CCTV9
works perfectly (as well as all others). I have, as I noted before, no
smart card in the CAM, as I do not know anyone with a Orbit
subscription.
I have been unsuccsessful in testing with the Twinhan, as I have had
trouble getting the drivers to load:

# modprobe dvb-bt8xx
WARNING: Error inserting v4l2_common
(/lib/modules/2.6.19-gentoo-r2/kernel/drivers/media/video/v4l2-common.ko):
Invalid module format
WARNING: Error inserting v4l1_compat
(/lib/modules/2.6.19-gentoo-r2/kernel/drivers/media/video/v4l1-compat.ko):
Invalid module format
WARNING: Error inserting videodev
(/lib/modules/2.6.19-gentoo-r2/kernel/drivers/media/video/videodev.ko):
Invalid module format
WARNING: Error inserting compat_ioctl32
(/lib/modules/2.6.19-gentoo-r2/kernel/drivers/media/video/compat_ioctl32.ko):
Invalid module format

# cat /proc/version
Linux version 2.6.19-gentoo-r2 (root at VOD) (gcc version 3.4.6 (Gentoo
3.4.6-r1, ssp-3.4.5-1.0, pie-8.7.9)) #7 SMP Tue Jan 2 16:34:20 GST
2007

To test with the TT-2300 I need to swap some hardware (hate
motherboards with less than 95 PCI slots! =) ) but that is no problem
of course.

Any pointers?

best regards
-Morgan-



More information about the linux-dvb mailing list